Subject: RE: Fix to readline for case-insensitive file-name completion
From: [email-masked] (Sergey Okhapkin)

20 May 1997 13:26:21 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-Cc: "[email-masked]" <[email-masked]>
Encoding: 23 TEXT
Original-Sender: [email-masked]

Michael Condict wrote:
>
> Geoffrey,
>
> I found the case-sensitive file-name completion in bash unuseable in
> Windows, because one often doesn't know the case of names in advance.
> So I changed it to case-insensitive by adding a few lines to
>
> 		bash/lib/readline/complete.c
>
> I'd like to propose that this feature be integrated into the next
> release of Cygnus Win32.

Sometimes I'm using case-sensitive file names with cygnus tools (just by 
adding FILE_FLAG_POSIX_SEMANTICS to some CreateFile calls in cygwin.dll). 
Huh?-) Moreover, if I have two directories "X11R6.3" and "xfiles" I prefer 
different completions for X<TAB> and x<TAB>.

--
Sergey Okhapkin
Moscow, Russia
Looking for a job.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".